Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.localsearch.decider.forager.finalist
Interface FinalistPodium

All Superinterfaces:
  EventListener, LocalSearchPhaseLifecycleListener, SolverLifecycleListener

All Known Implementing Classes:
  AbstractFinalistPodium, HighestScoreFinalistPodium, StrategicOscillationByLevelFinalistPodium

    public interface FinalistPodium

extends LocalSearchPhaseLifecycleListener

A podium gathers the finalists (the `LocalSearchMoveScope`s which might win) and picks the winner.

See Also:
  `AbstractFinalistPodium`, `HighestScoreFinalistPodium`

Method Summary
`void` | `addMove(LocalSearchMoveScope moveScope)` See `Forager.addMove(LocalSearchMoveScope)`.
`LocalSearchMoveScope` | `pickMove(LocalSearchStepScope stepScope)` See `Forager.pickMove(LocalSearchStepScope)`.

Methods inherited from interface org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListener
`phaseEnded, phaseStarted, stepEnded, stepStarted`

Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Method Detail

### addMove

    void addMove(LocalSearchMoveScope moveScope)

  See `Forager.addMove(LocalSearchMoveScope)`.

  Parameters:
    `moveScope` - never null

### pickMove

    LocalSearchMoveScope pickMove(LocalSearchStepScope stepScope)

  See `Forager.pickMove(LocalSearchStepScope)`.

  Parameters:
    `stepScope` - never null
  Returns:
    sometimes null, for example if no move is selected

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.